RtStat (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.RtStat class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class RtStat

    java.lang.Object
      org.hyperic.hq.product.RtStat

All Implemented Interfaces:
  java.io.Serializable

    public class RtStat

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `NULL_IP`
`static java.lang.String` | `NULL_URL`

Constructor Summary
`RtStat()`
`RtStat(java.lang.Integer svcID)`
`RtStat(java.lang.Integer svcID, int svcType)`
`RtStat(java.lang.Integer svcID, int svcType, java.lang.String ip)`
`RtStat(java.lang.Integer svcID, java.lang.String ip)`

Method Summary
`static RtStat` | `decode(java.lang.String val)`
`java.lang.String` | `encode()`
`boolean` | `equals(java.lang.Object obj)`
`double` | `getAverage()`
`long` | `getBegin()`
`int` | `getCount()`
`long` | `getEnd()`
`java.lang.String` | `getIp()` XXX: For 3.0 we should validate the IP address passed into setIp is valid
`java.lang.String` | `getIpUrlKey()`
`double` | `getMax()`
`double` | `getMin()`
`java.util.Hashtable` | `getStatus()`
`java.lang.Integer` | `getSvcID()`
`int` | `getSvcType()`
`double` | `getTotal()`
`java.lang.String` | `getUrl()`
`boolean` | `isEndUser()`
`void` | `recompute(RtStat rs)`
`void` | `recompute(java.lang.String givenurl, java.util.Date date, double timetaken, java.lang.Integer statcode)`
`void` | `resetIp()`
`void` | `setBegin(long d)`
`void` | `setCount(int count)`
`void` | `setEnd(long d)`
`void` | `setIp(java.lang.String ip)`
`void` | `setMax(double max)`
`void` | `setMin(double min)`
`void` | `setStatus(java.util.Hashtable st)`
`void` | `setSvcID(java.lang.Integer ID)`
`void` | `setSvcType(int st)`
`void` | `setTotal(double total)`
`void` | `setUrl(java.lang.String u)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NULL_IP

    public static final java.lang.String NULL_IP

See Also:
  Constant Field Values

### NULL_URL

    public static final java.lang.String NULL_URL

See Also:
  Constant Field Values

Constructor Detail

### RtStat

    public RtStat()

### RtStat

    public RtStat(java.lang.Integer svcID)

### RtStat

    public RtStat(java.lang.Integer svcID,
                  java.lang.String ip)

### RtStat

    public RtStat(java.lang.Integer svcID,
                  int svcType)

### RtStat

    public RtStat(java.lang.Integer svcID,
                  int svcType,
                  java.lang.String ip)

Method Detail

### recompute

    public void recompute(java.lang.String givenurl,
                          java.util.Date date,
                          double timetaken,
                          java.lang.Integer statcode)

### recompute

    public void recompute(RtStat rs)

### getIp

    public java.lang.String getIp()

  XXX: For 3.0 we should validate the IP address passed into setIp is valid

### setIp

    public void setIp(java.lang.String ip)

### resetIp

    public void resetIp()

### getUrl

    public java.lang.String getUrl()

### setUrl

    public void setUrl(java.lang.String u)

### getBegin

    public long getBegin()

### setBegin

    public void setBegin(long d)

### getEnd

    public long getEnd()

### setEnd

    public void setEnd(long d)

### getMin

    public double getMin()

### setMin

    public void setMin(double min)

### getMax

    public double getMax()

### setMax

    public void setMax(double max)

### getTotal

    public double getTotal()

### setTotal

    public void setTotal(double total)

### getCount

    public int getCount()

### setCount

    public void setCount(int count)

### getStatus

    public java.util.Hashtable getStatus()

### setStatus

    public void setStatus(java.util.Hashtable st)

### getSvcID

    public java.lang.Integer getSvcID()

### setSvcID

    public void setSvcID(java.lang.Integer ID)

### getSvcType

    public int getSvcType()

### setSvcType

    public void setSvcType(int st)

### getAverage

    public double getAverage()

### isEndUser

    public boolean isEndUser()

### getIpUrlKey

    public java.lang.String getIpUrlKey()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### encode

    public java.lang.String encode()
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### decode

    public static RtStat decode(java.lang.String val)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.